Bug 127304 - EDITING Horizontal multilevel axis labels all get the same vertical rotation
Summary: EDITING Horizontal multilevel axis labels all get the same vertical rotation
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.4.0.3 release
Hardware: All All
: medium normal
Assignee: Balázs Varga
URL:
Whiteboard: target:6.4.0 target:6.3.2
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Chart
  Show dependency treegraph
 
Reported: 2019-09-03 06:22 UTC by NISZ LibreOffice Team
Modified: 2019-09-09 07:32 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot of the problem in Writer 5.3 and 6.4. (173.47 KB, image/png)
2019-09-03 06:23 UTC, NISZ LibreOffice Team
Details
Example file from Writer with this problem. (16.30 KB, application/vnd.oasis.opendocument.text)
2019-09-03 06:24 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2019-09-03 06:22:40 UTC
Description:
If the horizontal axis of a column chart has long innermost labels that have to be rotated to be readable then the second and third level axis labels become vertically rotated too. By default all labels are horizontally rotated, but making the charts narrower (so that the innermost label would not fit horizontally) all labels become vertical.

Steps to Reproduce:
1. In LO Writer create a column chart.
2. Set multilevel axis labels, give the innermost labels long valuesing.
3. Reduce the width of the chart.


Actual Results:
Vertical rotation in all levels of axis labels.

Expected Results:
The second level or the above levels should be horizontally rotated, only the first level has to be vertical. This would be consistent with the behavior of the bar chart in LO and the column chart of MSO.


Reproducible: Always


User Profile Reset: No



Additional Info:
LibreOffice details:

Version: 6.4.0.0.alpha0+ (x64)
Build ID: 3e64065612acec2eb29aa21e2b515953422256d7
CPU threads: 8; OS: Windows 10.0; UI render: GL; VCL: win; 
TinderBox: Win-x86_64@62-TDF, Branch:master, Time: 2019-08-15_22:57:26
Locale: hu-HU (hu_HU); UI-Language: en-US
Calc: threaded

the same happens in 
Verzió: 5.4.0.3
Build az.: 92c2794a7c181ba4c1c5053618179937228ed1fb
CPU szálak: 4; OS: Windows 6.2; Felületmegjelenítés: alapértelmezett; 
Területi beállítások: hu-HU (hu_HU); Calc: CL 


but not in

Verzió: 5.3.0.3
Build az.: 7074905676c47b82bbcfbea1aeefc84afe1c50e1
CPU szálak: 4; Rendszer verziója: Windows 6.2; Felületmegjelenítés: alapértelmezett; Elrendezésmotor:új; 
Területi beállítások: hu-HU (hu_HU); Calc: CL
Comment 1 NISZ LibreOffice Team 2019-09-03 06:23:44 UTC
Created attachment 153828 [details]
Screenshot of the problem in Writer 5.3 and 6.4.
Comment 2 NISZ LibreOffice Team 2019-09-03 06:24:16 UTC
Created attachment 153829 [details]
Example file from Writer with this problem.
Comment 3 Xisco Faulí 2019-09-03 06:43:19 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=23c0b3e13f88d6d71d528777d4f86f50c0766672

author	Tomaž Vajngerl <tomaz.vajngerl@collabora.co.uk>	2017-05-01 15:10:51 +0200
committer	Tomaž Vajngerl <quikee@gmail.com>	2017-05-01 20:35:23 +0200
commit	23c0b3e13f88d6d71d528777d4f86f50c0766672 (patch)
tree	cae6a325bf0138e8368017366a7f473ec8f355bb
parent	0d50845c4299a1b9564d65464fbf3997d598d6d1 (diff)
tdf#107074 uncommenting createLabels for the axis fixes the issue

Bisected with: bibisect-linux-64-5.4

Adding Cc: to Tomaž Vajngerl
Comment 4 Commit Notification 2019-09-04 11:37:55 UTC
Balazs Varga committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/4b3a648a2fd7d733674f95bb7f20670c57e99252%5E%21

tdf#127304 Chart: fix rotation of multilevel axis labels

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Xisco Faulí 2019-09-05 09:59:00 UTC
Verified in

Version: 6.4.0.0.alpha0+
Build ID: bb9c07b82f4921941112de7e545af13a24b37f5d
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Balázs Varga, thanks for fixing this issue!!
Comment 6 Commit Notification 2019-09-05 12:05:29 UTC
Balazs Varga committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/193a3fe950fae3528d6357fe25240fac56c5db3a%5E%21

tdf#127304 Chart: fix rotation of multilevel axis labels

It will be available in 6.3.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.